Subject: Re: Multiple users in fetchmail
From: Jim George <[email-masked]>
To: [email-masked]
Date: Mon, 12 Aug 2002 22:00:57 +0100

On Mon, 12 Aug 2002 09:15:01 -0400
Jason Tishler <[email-masked]> wrote:

> Jim,
> 
> On Sun, Aug 11, 2002 at 02:02:04PM +0100, Jim George wrote:
> > in the Linux version of fetchmail I was able to run the daemon as root
> > and fetch/deliver mail (through procmail) for multipl users.  Reading
> > the man/README/archives of this list, I don't appear to have that
> > option anymore.
> 
> See my next post...
> 
> > I also don't appear to be able to install/run to instances of the same
> > service under different user IDs.
> 
> The following (untested and ugly) workaround should work:
> 
>     $ cygrunsrv --install "fetchmail for $USERNAME1" --path /usr/bin/fetchmail --env HOME=$HOME1 --user "$USERDOMAIN\\$USERNAME1" --args '--daemon 300 --nodetach' --shutdown
>     $ cygrunsrv --install "fetchmail for $USERNAME2" --path /usr/bin/fetchmail --env HOME=$HOME2 --user "$USERDOMAIN\\$USERNAME2" --args '--daemon 300 --nodetach' --shutdown
>     $ cygrunsrv --install "fetchmail for $USERNAME3" --path /usr/bin/fetchmail --env HOME=$HOME3 --user "$USERDOMAIN\\$USERNAME3" --args '--daemon 300 --nodetach' --shutdown
>     ...
> 
> where:
> 
>     $USERNAMEn => user n's user name
>     $HOMEn     => user n's home directory
> 
Jason,

	when ever I try the following I get the subsequent error.

	I have set the user 'dani' to be a member of Users, Power Users, and Administrators (I did this progressively trying to install fetchmail at each every change).

cygrunsrv --install "fetchmail for dani" --path /usr/bin/fetchmail --env HOME
=/home/dani --user "GATEWAY\\dani" --args '--daemon 300 --nodetach' --shutdown
cygrunsrv: Error installing a service: OpenSCManager:  Win32 error 5:
Access is denied.

	Do you have any ideas?

Regards,

Jim

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/